import axios from "../config/axios";

export const sendRequest = async (data, headers) => {
  let responseType = "application/json"
  if(headers["Content-Type"]=="blob"){
    responseType = "blob"
  }
  return axios.post("", { data }, { headers, withCredentials: true,responseType });
};

export const uploadFile = async (formData, params) => {
  return axios.post("", formData, {
    params,
    headers: { "Content-Type": "multipart/form-data" },
    withCredentials: true,
  });
};
